Bug 56904 - Bundle Microsoft Access Database Engine 2010 Redistributable
Summary: Bundle Microsoft Access Database Engine 2010 Redistributable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL: http://www.microsoft.com/en-us/downlo...
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: 56903 Database-MS_Access 97579 107890
  Show dependency treegraph
 
Reported: 2012-11-09 06:13 UTC by Lionel Elie Mamane
Modified: 2018-10-24 02:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2012-11-09 06:13:36 UTC
Microsoft Jet 4.0 is no longer bundled with some versions of Windows. This means that unless Microsoft Office Access is installed on the computer, we cannot open MS Access files. This is easy to fix, just bundle the redistributable driver for it. It can be downloaded from http://www.microsoft.com/en-us/download/details.aspx?id=13255
Comment 1 Robinson Tryon (qubit) 2013-10-10 13:13:52 UTC
Hi Lionel,

What's the status of this bug/enhancement? Assuming it's still relevant, could you please move it to NEW and change it to a (confirmed) EasyHack?

Thanks!


(Side Note: What's the license on the driver?)
Comment 2 Lionel Elie Mamane 2013-10-10 14:03:12 UTC
(In reply to comment #1)

> What's the status of this bug/enhancement? Assuming it's still relevant,

Yes, it is relevant.

> could you please move it to NEW

Done.

> change it to a (confirmed) EasyHack?

My understanding is that it becomes a Easyhack, as opposed to a ProposedEasyHack when someone has checked there is no hidden bad surprise. This has not happened. This needs someone with a clue with Microsoft Windows.

> (Side Note: What's the license on the driver?)

Need to check in the download. Probably something similar to the msvc redistributables we already bundle?
Comment 3 Joel Madero 2014-02-27 22:55:07 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Alex Thurgood 2015-01-03 17:38:32 UTC Comment hidden (no-value)
Comment 5 Robinson Tryon (qubit) 2015-12-13 11:21:18 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:47:28 UTC Comment hidden (obsolete)
Comment 7 Alex Thurgood 2017-05-16 15:37:30 UTC
Still relevant today. We don't bundle Jet 4.0.
Comment 9 QA Administrators 2018-10-24 02:56:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug